<?php

class IframeController extends IframeAdminController {
	
	public function manejadorAction(){

		$ly = $this->getLayout();
		
		// Recuperar el presupuesto
		$sesion = new Zend_Session_Namespace('presupuesto_web');
		if (isset($session->presupuesto))
			$presupuesto = $sesion->presupuesto;
		else {
			$presupuesto = new Presupuesto();
			//$presupuesto->setOrigenPresupuesto($origenPresupuesto);
		}
		// Actualizar los datos del presupuesto
		switch ($_POST['paso']){
			case 'inicio':
				$presupuesto->setOrigenCalle($_POST['inicioDireccion']);
				$presupuesto->setOrigenCodigoPostal($cp);
				$presupuesto->setOrigenNumero($numero);
				$presupuesto->setOrigenPoblacion($poblacion);
				break;
			default:
				$ly->reg_titulo->setTitulo('Dirección de Recogida');
				$vista = new VstVista('inicio');
				$ly->reg_contenido->addElement($vista);
				break;
		}
		
		

		//print_r($presupuesto);
	
	}
	
	
	
}